---
updatedAt: 2026-08-11T15:52:56.000Z
agentTools:
  projectIndex: https://doc.fintecture.com/llms.txt
---

# List the recipients of a membership notification type

Members of the company's active memberships holding the given notification type, with the payment-origin flags of their setting.

For `payer_email_copy`: the members that receive a BCC copy of the emails sent to the payers — `pay_by_bank` for payer-initiated payments, `created_by_me` / `created_by_others` for payments created from the Console. Returns an empty list when nobody opted in.

<blockquote style="background: #D7E9FF;border-color: #1471EB;padding: 0.8rem;border-radius: 5px;"><p>🔒 External clients call this endpoint with an <a href="https://doc.fintecture.com/docs/request-an-oac-access-token">OAC</a> (Organisation Access Credentials — ⚠️ Beta) access token carrying the <b>companies:read</b> and <b>users:read</b> scopes.</p></blockquote>


# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "API EXPLORER",
    "version": "3.0.0",
    "description": "Public API\n",
    "contact": {
      "name": "Support",
      "email": "noelia.rodriguez@fintecture.com"
    }
  },
  "x-readme": {
    "explorer-enabled": false,
    "proxy-enabled": false,
    "samples-languages": [
      "curl",
      "javascript",
      "ruby"
    ]
  },
  "servers": [
    {
      "url": "https://api.sandbox.fintecture.com",
      "description": "Sandbox server"
    },
    {
      "url": "https://api.fintecture.com",
      "description": "Production server"
    }
  ],
  "paths": {
    "/v1/companies/{company_id}/notifications": {
      "get": {
        "security": [
          {
            "OAuth2Oac": [
              "companies:read",
              "users:read"
            ]
          }
        ],
        "tags": [
          "companies"
        ],
        "summary": "List the recipients of a membership notification type",
        "description": "Members of the company's active memberships holding the given notification type, with the payment-origin flags of their setting.\n\nFor `payer_email_copy`: the members that receive a BCC copy of the emails sent to the payers — `pay_by_bank` for payer-initiated payments, `created_by_me` / `created_by_others` for payments created from the Console. Returns an empty list when nobody opted in.\n\n<blockquote style=\"background: #D7E9FF;border-color: #1471EB;padding: 0.8rem;border-radius: 5px;\"><p>🔒 External clients call this endpoint with an <a href=\"https://doc.fintecture.com/docs/request-an-oac-access-token\">OAC</a> (Organisation Access Credentials — ⚠️ Beta) access token carrying the <b>companies:read</b> and <b>users:read</b> scopes.</p></blockquote>\n",
        "parameters": [
          {
            "$ref": "#/components/parameters/Path-CompanyId"
          },
          {
            "in": "query",
            "name": "type",
            "required": true,
            "description": "Membership notification type to list the recipients of",
            "schema": {
              "type": "string",
              "enum": [
                "payer_email_copy"
              ]
            }
          },
          {
            "in": "query",
            "name": "application_id",
            "required": false,
            "description": "Restrict to the memberships with access to this application",
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/Header-signature-req"
          },
          {
            "$ref": "#/components/parameters/Header-date-req"
          },
          {
            "$ref": "#/components/parameters/Header-xRequestId-req"
          }
        ],
        "responses": {
          "200": {
            "description": "Recipients retrieved successfully, with an empty list when nobody opted in",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "required": [
                    "data"
                  ],
                  "additionalProperties": false,
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "type": {
                            "type": "string",
                            "enum": [
                              "notification_recipients"
                            ]
                          },
                          "id": {
                            "type": "string",
                            "description": "User ID of the member"
                          },
                          "attributes": {
                            "type": "object",
                            "properties": {
                              "email": {
                                "type": "string",
                                "format": "email"
                              },
                              "pay_by_bank": {
                                "type": "boolean"
                              },
                              "created_by_me": {
                                "type": "boolean"
                              },
                              "created_by_others": {
                                "type": "boolean"
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "withRecipients": {
                    "summary": "One member opted in",
                    "value": {
                      "data": [
                        {
                          "type": "notification_recipients",
                          "id": "7f6c1b9d-2a4e-4f6e-9c56-4d4c9b7f1f00",
                          "attributes": {
                            "email": "member@merchant.com",
                            "pay_by_bank": true,
                            "created_by_me": true,
                            "created_by_others": false
                          }
                        }
                      ]
                    }
                  },
                  "empty": {
                    "summary": "Nobody opted in",
                    "value": {
                      "data": []
                    }
                  }
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/400-BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/401-Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/403-Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/404-NotFound"
          },
          "500": {
            "$ref": "#/components/responses/500-InternalServerError"
          }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "Header-date-req": {
        "name": "date",
        "description": "RFC2822 formatted date.",
        "schema": {
          "$ref": "#/components/schemas/DateRfc2822"
        },
        "in": "header",
        "required": true
      },
      "Header-signature-req": {
        "name": "signature",
        "description": "Signature is used to enforce security by signing request.<br>Related documentation can be found by clicking [<b>here</b>](https://doc.fintecture.com/docs/api-http-signature)",
        "schema": {
          "type": "string"
        },
        "in": "header",
        "required": true
      },
      "Header-xRequestId-req": {
        "name": "x-request-id",
        "description": "uuid v4. Required in Redirect mode.",
        "schema": {
          "$ref": "#/components/schemas/IdentifierUuidV4"
        },
        "in": "header",
        "required": true
      },
      "Path-CompanyId": {
        "name": "company_id",
        "description": "UUID of the company",
        "schema": {
          "type": "string",
          "pattern": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
        },
        "in": "path",
        "required": true
      }
    },
    "responses": {
      "400-BadRequest": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/APIResponse400"
            }
          }
        },
        "description": "bad request"
      },
      "401-Unauthorized": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/APIResponse401"
            }
          }
        },
        "description": "unauthorized"
      },
      "403-Forbidden": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/APIResponse403"
            }
          }
        },
        "description": "forbidden"
      },
      "404-NotFound": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/APIResponse404"
            }
          }
        },
        "description": "resource not found"
      },
      "500-InternalServerError": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/APIResponse500"
            }
          }
        },
        "description": "internal server error"
      }
    },
    "schemas": {
      "APIResponse400": {
        "title": "400 API Response",
        "description": "Definition of the standard API reponse when a 400",
        "type": "object",
        "properties": {
          "status": {
            "format": "int32",
            "description": "HTTP status code",
            "type": "integer",
            "example": 400
          },
          "code": {
            "type": "string",
            "enum": [
              "bad_request",
              "provider_error"
            ],
            "example": "bad_request"
          },
          "log_id": {
            "allOf": [
              {
                "$ref": "#/components/schemas/IdentifierUuidV4"
              },
              {
                "description": "Log unique identifier"
              }
            ]
          },
          "errors": {
            "description": "Errors returned",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/APIResponse400Error"
            }
          }
        }
      },
      "APIResponse400Error": {
        "title": "API Response 400 Error",
        "description": "API Response 400 Error description",
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "enum": [
              "bad_request",
              "customer_unknown",
              "account_unknown",
              "session_id_invalid_or_expired",
              "invalid_field",
              "mandatory_field_missing",
              "invalid_debited_account"
            ],
            "example": "bad_request"
          },
          "title": {
            "description": "Title message",
            "type": "string",
            "example": "Bad request"
          },
          "message": {
            "description": "Error message",
            "type": "string",
            "example": "Invalid parameters or malformed syntax."
          }
        }
      },
      "APIResponse401": {
        "title": "401 API Response",
        "description": "Definition of the standard API reponse when a 401",
        "type": "object",
        "properties": {
          "status": {
            "format": "int32",
            "description": "HTTP status code",
            "type": "integer",
            "example": 401
          },
          "code": {
            "type": "string",
            "enum": [
              "unauthorized"
            ],
            "example": "unauthorized"
          },
          "log_id": {
            "allOf": [
              {
                "$ref": "#/components/schemas/IdentifierUuidV4"
              },
              {
                "description": "Log unique identifier"
              }
            ]
          },
          "errors": {
            "description": "Errors returned",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/APIResponse401Error"
            }
          }
        }
      },
      "APIResponse401Error": {
        "title": "API Response 401 Error",
        "description": "API Response 401 Error description",
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "enum": [
              "invalid_token",
              "invalid_scopes",
              "invalid_code",
              "invalid_app_id",
              "invalid_app_url"
            ],
            "example": "bad_request"
          },
          "title": {
            "description": "Title message",
            "type": "string",
            "example": "Invalid token"
          },
          "message": {
            "description": "Error message",
            "type": "string",
            "example": "The token is either invalid or expired."
          }
        }
      },
      "APIResponse403": {
        "title": "403 API Response",
        "description": "Definition of the standard API reponse when a 403",
        "type": "object",
        "properties": {
          "status": {
            "format": "int32",
            "description": "HTTP status code",
            "type": "integer",
            "example": 403
          },
          "code": {
            "type": "string",
            "enum": [
              "forbidden"
            ],
            "example": "forbidden"
          },
          "log_id": {
            "allOf": [
              {
                "$ref": "#/components/schemas/IdentifierUuidV4"
              },
              {
                "description": "Log unique identifier"
              }
            ]
          },
          "errors": {
            "description": "Errors returned",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/APIResponse403Error"
            }
          }
        }
      },
      "APIResponse403Error": {
        "title": "API Response 403 Error",
        "description": "API Response 403 Error description",
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "enum": [
              "forbidden"
            ],
            "example": "forbidden"
          },
          "title": {
            "description": "Title message",
            "type": "string",
            "example": "Forbidden"
          },
          "message": {
            "description": "Error message",
            "type": "string",
            "example": "Access Forbidden."
          }
        }
      },
      "APIResponse404": {
        "title": "404 API Response",
        "description": "Definition of the standard API reponse when a 404",
        "type": "object",
        "properties": {
          "status": {
            "format": "int32",
            "description": "HTTP status code",
            "type": "integer",
            "example": 404
          },
          "code": {
            "type": "string",
            "enum": [
              "not_found"
            ],
            "example": "not_found"
          },
          "log_id": {
            "allOf": [
              {
                "$ref": "#/components/schemas/IdentifierUuidV4"
              },
              {
                "description": "Log unique identifier"
              }
            ]
          },
          "errors": {
            "description": "Errors returned",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/APIResponse404Error"
            }
          }
        }
      },
      "APIResponse404Error": {
        "title": "API Response 404 Error",
        "description": "API Response 404 Error description",
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "enum": [
              "not_found"
            ],
            "example": "not_found"
          },
          "title": {
            "description": "Title message",
            "type": "string",
            "example": "Not found"
          },
          "message": {
            "description": "Error message",
            "type": "string",
            "example": "The requested resource could not be found. The requested resource either does not exist or is temporarily down."
          }
        }
      },
      "APIResponse500": {
        "title": "500 API Response",
        "description": "Definition of the standard API reponse when a 500",
        "type": "object",
        "properties": {
          "status": {
            "format": "int32",
            "description": "HTTP status code",
            "type": "integer",
            "example": 500
          },
          "code": {
            "type": "string",
            "enum": [
              "internal_server_error"
            ],
            "example": "internal_server_error"
          },
          "log_id": {
            "allOf": [
              {
                "$ref": "#/components/schemas/IdentifierUuidV4"
              },
              {
                "description": "Log unique identifier"
              }
            ]
          },
          "errors": {
            "description": "Errors returned",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/APIResponse500Error"
            }
          }
        }
      },
      "APIResponse500Error": {
        "title": "API Response 500 Error",
        "description": "API Response 500 Error description",
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "enum": [
              "internal_server_error"
            ],
            "example": "internal_server_error"
          },
          "title": {
            "description": "Title message",
            "type": "string",
            "example": "Internal Server Error"
          },
          "message": {
            "description": "Error message",
            "type": "string",
            "example": "An internal error has occurred. If the error persists, please contact our support."
          }
        }
      },
      "DateRfc2822": {
        "title": "Date in rfc 2822 format",
        "description": "Date as described in rfc 2822 format",
        "type": "string",
        "example": "Thu, 18 Jun 2020 18:14:15 GMT"
      },
      "IdentifierUuidV4": {
        "title": "UUID V4 identifier",
        "description": "UUID V4 identifier",
        "pattern": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
        "type": "string",
        "example": "dc5b0048-2a80-4a22-b2f9-fad7d72f074d"
      }
    },
    "securitySchemes": {
      "OAuth2Oac": {
        "type": "oauth2",
        "x-default": "<ACCESS TOKEN>",
        "description": "OAC (Organisation Access Credentials — ⚠️ Beta) access token, sent as `Authorization: Bearer {access_token}`.\n\nObtain it from `POST /oauth/accesstoken` with `grant_type=client_credentials`, authenticating with the OAC `client_id` and `client_secret` as Basic credentials (`Basic base64({client_id}:{client_secret})`). The token is valid for 1 hour. See the [OAC guide](https://doc.fintecture.com/docs/request-an-oac-access-token).\n\nThe token only grants the scopes requested when it was created; each endpoint declares the scopes it requires.\n",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "/oauth/accesstoken",
            "scopes": {
              "organisations:read": "Read access to organisation nodes",
              "organisations:write": "Write access to organisation nodes",
              "companies:read": "Read access to companies",
              "companies:write": "Write access to companies",
              "users:read": "Read access to users and memberships",
              "users:write": "Write access to users and memberships",
              "applications:read": "Read access to applications",
              "applications:write": "Write access to applications",
              "bank_accounts:read": "Read access to bank accounts",
              "bank_accounts:write": "Write access to bank accounts"
            }
          }
        }
      }
    }
  }
}
```